Subject: bug#42990: closed (Re: Nicotine+ GTK segfaults)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 12 Mar 2025 23:06:02 +0000

Your bug report

#42990: Nicotine+ GTK segfaults

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42990: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42990
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Nicotine+ GTK segfaults
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Wed, 12 Mar 2025 19:05:17 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I just checked, and this segfault doesn't happen anymore. So I'm closing
the bug.

Subject: Nicotine+ GTK segfaults
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Sat, 22 Aug 2020 13:28:27 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that Nicotine+ segfaults on a foreign distro (Debian) when
clicking the "settings" icon in the upper right:

------
(.nicotine-real:9751): GLib-GIO-ERROR **: 12:53:24.031: Settings schema 'org.gtk.Settings.FileChooser' does not contain a key named 'show-type-column'
------

Sounds similar to many other bugs using GTK+ applications from Guix on
other distros, and there's a related report at NixOS too:

https://discourse.nixos.org/t/gtk-file-dialog-causes-segfaults-glib-gio-error-settings-schema-org-gtk-settings-filechooser-does-not-contain-a-key-named-show-type-column/6853

Help wanted!